Jump to content

Welcome to AppCake Forum
Register now to gain access to all of our features. Once registered and logged in, you will be able to create topics, post replies to existing threads, give reputation to your fellow members, get your own private messenger, post status updates, manage your profile and so much more. If you already have an account, login here - otherwise create an account for free today!
Photo

Can't get IPA Installer to work under 10.x jailbreak


  • You cannot start a new topic
  • Please log in to reply
5 replies to this topic

#1
timidhermit

timidhermit

    Getting Known

  • IC Member
  • 15 posts
    • Time Online: 17h 53m 29s

I have two devices with iOS 10.x jailbroken with doubleH3lix and Pheonix.

 

I am having trouble trying to get IPA Installer v3.23, developed by slugrail (aka Shersy), to work properly to install IPA on the devices. I am aware that Filza has the same functionality, but IPA Installer is superior because it can do force install of ipa despite iOS incompatibility and correctly places the preferences .plist files in the app's sandbox when installing an app.

 

v3.23 works fine in iOS 9 and has been reported elsewhere (Reddit) to work in iOS 10.x. The problem I am experiencing is that IPA Installer keeps reporting that the device is missing AppSync even though AppSync has already been installed on the system. Initially, I thought that this was due to compatibility issue with AppSync. I tried Karen's AppSync Unified (all of the current versions), and none of them worked. I am not sure if this is a problem with IPA Installer or an error I made installing the app.

 

Googled the problem. Read many Reddit threads. No help unfortunately. I even wrote to the developer. Never received a reply.

 

Does anyone have experience in this? Is IPA Installer referencing some "special" version of AppSync that differs from AppSync Unified? Is this an issue with the doubleH3lix or Pheonix jailbreaks? I can't imagine this is the case since AppSync Unified is basically the de facto standard of AppSync for iOS 10.x.

 

I am stuck on trying to troubleshoot this. Please help...



#2
Sacmunraga

Sacmunraga

    Pro Caker

  • IC Member
  • 292 posts
    • Time Online: 6d 3h 11m 17s
  • iDevices Owned:iPad Mini with Retina, iMac, iHave a PC

@timidhermit, Have you tried appinst https://cydia.angelx...nusyang.appinst



#3
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 9,258 posts
    • Time Online: 244d 9h 17m 48s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12
was about to recommend the same @Sacmunraga posted

#4
timidhermit

timidhermit

    Getting Known

  • IC Member
  • 15 posts
    • Time Online: 17h 53m 29s

Sacmunraga and user_hidden,

 

Thanks to both of your suggestions. My understanding is that appinst is a command-line tool. Looking for a GUI solution. Tried out Filza, but ran into a problem with preferences .plist not being installed correctly in the app's sandbox (a problem which user_hidden had kindly helped to advise me in another thread previously).



#5
Sacmunraga

Sacmunraga

    Pro Caker

  • IC Member
  • 292 posts
    • Time Online: 6d 3h 11m 17s
  • iDevices Owned:iPad Mini with Retina, iMac, iHave a PC

I can't help with a GUI solution, other than Filza. Appinst works perfectly and it's easy to use, If you don't know how then I can show you...



#6
timidhermit

timidhermit

    Getting Known

  • IC Member
  • 15 posts
    • Time Online: 17h 53m 29s

Thanks, Sacmunraga, Appreciated this. I will look into the command line function.

I can't help with a GUI solution, other than Filza. Appinst works perfectly and it's easy to use, If you don't know how then I can show you...